moLSCheckPoint(3)

NAME
moLSCheckPoint - Class which allows a checkpointing system.

SYNOPSIS

#include <moLSCheckPoint.h>

Inherits eoBF< A1, A2, R >< const const M &, M::EOType &, void >.

  Public Member Functions
void operator() (const M &_move, const typename M::EOType &_solution)
Function which launches the checkpointing.
void add (eoBF< const M &, const typename M::EOType &, void > &_function)
Procedure which add a new function to the function vector.

  Private Attributes
std::vector< eoBF< const M &, const typename M::EOType &, void > * > functions
Vector of functions.

Detailed Description

  template<class M> class moLSCheckPoint< M >
Class which allows a checkpointing system. Thanks to this class, at each iteration, additionnal function can be used (and not only one).

Definition at line 46 of file moLSCheckPoint.h.

Member Function Documentation

  template<class M> void moLSCheckPoint< M >::operator() (const M & _move, const typename M::EOType & _solution) [inline]

Function which launches the checkpointing.

Each saved function is used on the current move and the current solution.

Parameters:
    _move a move.
    _solution a solution.

Definition at line 57 of file moLSCheckPoint.h.

References moLSCheckPoint< M >::functions.

  template<class M> void moLSCheckPoint< M >::add (eoBF< const M &, const typename M::EOType &, void > & _function) [inline]

Procedure which add a new function to the function vector.

The new function is added at the end of the vector.

Parameters:
    _function a new function to add.

Definition at line 72 of file moLSCheckPoint.h.

References moLSCheckPoint< M >::functions.

Author

Generated automatically by Doxygen for ParadisEO-MOMovingObjects from the source code.